//---------------------------------------------------------------------------

#ifndef ObjetoTriagularizadoH
#define ObjetoTriagularizadoH

#include "ObjetoGrafico.h"
#include "Cor.h"
#include "Triangulo.h"
#include <vector.h>

class ObjetoTriangularizado : public ObjetoGrafico
{
  public:
    ObjetoTriangularizado(string nome, Cor* amb_ref_coef, Cor* diff_ref_coef, Cor* spec_ref_coef, float shine_coef, vector<Triangulo*>& triangulos);

  private:
    Cor* amb_ref_coef;
    Cor* diff_ref_coef;
    Cor* spec_ref_coef;
    float shine_coef;
    vector<Triangulo*> triangulos;

};

//---------------------------------------------------------------------------
#endif
