//---------------------------------------------------------------------------

#ifndef UGerH
#define UGerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
#include <Menus.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <string.h>
#include <iostream.h>
#include <msxmldom.hpp>
#include <XMLDoc.hpp>
#include <xmldom.hpp>
#include <XMLIntf.hpp>
//---------------------------------------------------------------------------

class SistemaGrafico;
class TGerente : public TForm
{
__published:	// IDE-managed Components
        TEdit *PassoEB;
        TListBox *Itens;
        TLabel *Objetos;
        TGroupBox *Window;
        TLabel *Label1;
        TLabel *Label2;
        TGroupBox *ViewportGB;
        TPaintBox *Viewport;
        TPopupMenu *PopupMenu1;
        TMenuItem *AplicTrans2D;
        TBitBtn *RotacionaEsquerda;
        TBitBtn *RotacionaDireita;
        TCheckBox *AtivaClipping;
        TSpeedButton *Esq;
        TSpeedButton *Dir;
        TSpeedButton *Cima;
        TSpeedButton *Baixo;
        TComboBox *ComboBoxEixo;
        TLabel *Label6;
        TMainMenu *MainMenu1;
        TMenuItem *Arquivo1;
        TMenuItem *Sair1;
        TMenuItem *Objetos1;
        TMenuItem *Ajuda1;
        TMenuItem *Inserir1;
        TMenuItem *Sobre1;
        TBitBtn *ZoomIn;
        TBitBtn *ZoomOut;
        TMenuItem *Salvar1;
        TMenuItem *Abrir1;
        TOpenDialog *AbrirArquivo;
        TSaveDialog *SalvarArquivo;
        TMenuItem *Adiciona1;
        TMenuItem *Salvar2;
        TMenuItem *Novo1;
        TMenuItem *Apaga1;
        TMenuItem *Incluir1;
        TGroupBox *GroupBoxProjecao;
        TRadioButton *RadioButton1;
        TRadioButton *RadioButton2;
        TBitBtn *Frente;
        TBitBtn *Traz;
        TXMLDocument *XMLDocument1;
        TMenuItem *A1;
        TOpenDialog *AbrirArquivoXML;
        TColorDialog *ColorDialog;
        TGroupBox *GBRayTracing;
        TLabel *Label3;
        TCheckBox *CBAmbiente;
        TCheckBox *CBDifusa;
        TCheckBox *CBEspecular;
        TButton *CorLuzAmbiente;
        TPaintBox *PaintBoxCor;
        TEdit *ValorK;
        TLabel *Label5;
        TCheckBox *RayTracing;
        TTimer *Timer;
        TMenuItem *Animar;
        TCheckBox *CBSombra;
        void __fastcall InsereObjetoClick(TObject *Sender);
        void __fastcall ZoomInClick(TObject *Sender);
        void __fastcall RightClick(TObject *Sender);
        void __fastcall LeftClick(TObject *Sender);
        void __fastcall UpClick(TObject *Sender);
        void __fastcall DownClick(TObject *Sender);
        void __fastcall ZoomOutClick(TObject *Sender);
        void __fastcall PassoEBExit(TObject *Sender);
        void __fastcall ViewportPaint(TObject *Sender);
        void __fastcall AplicTrans2DClick(TObject *Sender);
        void __fastcall PopupMenu1Popup(TObject *Sender);
        void __fastcall RotacionaEsquerdaClick(TObject *Sender);
        void __fastcall RotacionaDireitaClick(TObject *Sender);
        void __fastcall AtivaClippingClick(TObject *Sender);
        void __fastcall EsqClick(TObject *Sender);
        void __fastcall BaixoClick(TObject *Sender);
        void __fastcall DirClick(TObject *Sender);
        void __fastcall CimaClick(TObject *Sender);
        void __fastcall FrenteClick(TObject *Sender);
        void __fastcall TrazClick(TObject *Sender);
        void __fastcall Sair1Click(TObject *Sender);
        void __fastcall Inserir1Click(TObject *Sender);
        void __fastcall Sobre1Click(TObject *Sender);
        void __fastcall Abrir1Click(TObject *Sender);
        void __fastcall Salvar1Click(TObject *Sender);
        void __fastcall Adiciona1Click(TObject *Sender);
        void __fastcall Novo1Click(TObject *Sender);
        void __fastcall Apaga1Click(TObject *Sender);
        void __fastcall Salvar2Click(TObject *Sender);
        void __fastcall Incluir1Click(TObject *Sender);
        void __fastcall RadioButton1Click(TObject *Sender);
        void __fastcall RadioButton2Click(TObject *Sender);
        void __fastcall ViewportMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall ViewportMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall A1Click(TObject *Sender);
        void __fastcall RayTracingClick(TObject *Sender);
        void __fastcall CorLuzAmbienteClick(TObject *Sender);
        void __fastcall PaintBoxCorPaint(TObject *Sender);
        void __fastcall ValorKExit(TObject *Sender);
        void __fastcall CBAmbienteClick(TObject *Sender);
        void __fastcall CBDifusaClick(TObject *Sender);
        void __fastcall CBEspecularClick(TObject *Sender);
        void __fastcall AnimarClick(TObject *Sender);
        void __fastcall TimerTimer(TObject *Sender);
        void __fastcall CBSombraClick(TObject *Sender);
private:
        SistemaGrafico* sg;
        string arquivoAtual;
        int valorX;
        int valorY;
public:		// User declarations
        SistemaGrafico* GetSistemaGrafico(){return sg;};
        void AtualizaListBox();
        void AbrirXML(string documento);        
        __fastcall TGerente(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TGerente *Gerente;
//---------------------------------------------------------------------------
#endif
