//---------------------------------------------------------------------------

#ifndef WireFrameH
#define WireFrameH

#include <vector.h>
#include "ObjetoGrafico.h"

class Ponto;
class Reta;

//---------------------------------------------------------------------------
class WireFrame : public ObjetoGrafico {

  public:
    WireFrame(string nome);
    ~WireFrame();    
    void AdicionaPonto(Ponto *p);
    void AdicionaAresta(Reta* r);    
    vector<Ponto*>* RetornaPontos();
    void SetPontos(vector<Ponto*>* _pontos){pontos = *_pontos;};
    void SetArestas(vector<Reta*>* _arestas){arestas = *_arestas;};
    vector<Reta*>* RetornaArestas(){return &arestas;};
    int NrPontos();
    virtual Ponto* Centro();
    virtual void AplicaTransformacao(float* translacao, float* escalonamento, float* rotacao,bool CPP=false);
    virtual void AplicaTransformacao(Matriz* matrizDeTransformacao, bool CPP);
    void SalvaNoStream(ostream &output);
    static WireFrame* LeDoStream(istream &input, int versao);

  protected:
    vector<Ponto*> pontos;
    vector<Reta*> arestas;

};

#endif
