//---------------------------------------------------------------------------

#ifndef RetaH
#define RetaH

#include "ObjetoGrafico.h"
class Ponto;

//---------------------------------------------------------------------------
class Reta : public ObjetoGrafico {

  public:
    Reta(string nome, Ponto* _p1, Ponto* _p2);
    Reta(string nome);    
    ~Reta();
    Ponto& GetP1();
    Ponto& GetP2();
    void SetP1(Ponto* _p1);
    void SetP2(Ponto* p2);

    Ponto* Centro();
    virtual void AplicaTransformacao(float* translacao, float* escalonamento, float* rotacao,bool CPP=false);
    virtual void AplicaTransformacao(Matriz* matrizDeTransformacao, bool CPP);
    void SalvaNoStream(ostream &output);
    static Reta* LeDoStream(istream &input, int versao);

  private:
    Ponto* p1;
    Ponto* p2;
};

#endif
