//---------------------------------------------------------------------------

#ifndef UInsObjH
#define UInsObjH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <Grids.hpp>
#include <vector.h>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class SistemaGrafico;
class Poligono;
class Ponto;
class Reta;
class Triangulo;

class TIncluirObjeto : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TEdit *NomeObjeto;
        TButton *OK;
        TButton *Cancelar;
        TColorDialog *ColorDialog;
        TPageControl *PageControl1;
        TTabSheet *TabSheet1;
        TButton *Cor;
        TPaintBox *PaintBoxCor;
        TTabSheet *TabSheet2;
        TTabSheet *TabSheet3;
        TButton *AdicionaPontoWF;
        TGroupBox *GroupBox5;
        TListBox *ListaPontosWF;
        TGroupBox *GroupBox6;
        TGroupBox *GroupBox7;
        TLabel *Label26;
        TLabel *Label27;
        TComboBox *Ponto1;
        TComboBox *Ponto2;
        TButton *AdicionaAresta;
        TTabSheet *TabSheet4;
        TButton *AdicionaPontoCurva;
        TGroupBox *GroupBox9;
        TListBox *ListaPontosCurva;
        TGroupBox *GroupBoxTipoCurva;
        TRadioButton *Bezier;
        TRadioButton *Hermite;
        TRadioButton *Spline;
        TGroupBox *GroupBox8;
        TLabel *Label28;
        TLabel *Label29;
        TLabel *Label30;
        TLabel *Label31;
        TEdit *XCurva;
        TEdit *YCurva;
        TEdit *ZCurva;
        TGroupBox *GroupBox4;
        TLabel *Label22;
        TLabel *Label23;
        TLabel *Label24;
        TLabel *Label25;
        TEdit *XWF;
        TEdit *YWF;
        TEdit *ZWF;
        TGroupBox *GroupBoxReta;
        TLabel *Label15;
        TLabel *Label16;
        TLabel *Label17;
        TLabel *Label18;
        TEdit *X1Reta;
        TEdit *Y1Reta;
        TEdit *Z1Reta;
        TGroupBox *GroupBox3;
        TLabel *Label19;
        TLabel *Label20;
        TLabel *Label21;
        TLabel *Label32;
        TEdit *X2Reta;
        TEdit *Y2Reta;
        TEdit *Z2Reta;
        TGroupBox *GroupBoxPonto;
        TLabel *Label11;
        TLabel *Label12;
        TLabel *Label13;
        TLabel *Label14;
        TEdit *XPonto;
        TEdit *YPonto;
        TEdit *ZPonto;
        TListBox *ListaArestas;
        TPopupMenu *PopupMenuPontos;
        TMenuItem *Apagar1;
        TPopupMenu *PopupMenuArestas;
        TMenuItem *MenuItem1;
        TPopupMenu *PopupMenuCurvas;
        TMenuItem *ApagarPonto1;
        TTabSheet *Superfices;
        TStringGrid *StringGrid;
        TGroupBox *GBTipoDaCurva;
        TRadioButton *RadioButtonBezier;
        TRadioButton *RadioButtonSpline;
        TComboBox *ComboPosicao;
        TButton *AdicionarSuperficie;
        TGroupBox *GroupBox2;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TEdit *PontoSuperficieX;
        TEdit *PontoSuperficieY;
        TEdit *PontoSuperficieZ;
        TButton *Adicionar;
        TTabSheet *TabSheet5;
        TGroupBox *GroupBox1;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TEdit *X1Triangulo;
        TEdit *Y1Triangulo;
        TEdit *Z1Triangulo;
        TGroupBox *GroupBox10;
        TLabel *Label10;
        TLabel *Label33;
        TLabel *Label34;
        TLabel *Label35;
        TEdit *X2Triangulo;
        TEdit *Y2Triangulo;
        TEdit *Z2Triangulo;
        TGroupBox *GroupBox11;
        TLabel *Label36;
        TLabel *Label37;
        TLabel *Label38;
        TLabel *Label39;
        TEdit *X3Triangulo;
        TEdit *Y3Triangulo;
        TEdit *Z3Triangulo;
        TGroupBox *GroupBox12;
        TListBox *ListBoxTriangulos;
        TButton *AdicionaTrianguloButton;
        TGroupBox *GroupBox13;
        TEdit *Polimento;
        TLabel *Label42;
        TColorDialog *ColorDialogDifusa;
        TColorDialog *ColorDialogAmbiente;
        TColorDialog *ColorDialogEspecular;
        TButton *ReflDifusaButton;
        TPaintBox *PaintBoxCorDifusa;
        TButton *ReflAmbienteButton;
        TPaintBox *PaintBoxCorAmbiente;
        TButton *ReflEspecularButton;
        TPaintBox *PaintBoxCorEspecular;
        TGroupBox *GroupBox14;
        TLabel *Label40;
        TLabel *Label41;
        TLabel *Label43;
        TLabel *Label44;
        TEdit *VetorXTriangulo;
        TEdit *VetorYTriangulo;
        TEdit *VetorZTriangulo;
        TCheckBox *CBPontoDeLuz;
        void __fastcall OKClick(TObject *Sender);
        void __fastcall CancelarClick(TObject *Sender);
        void __fastcall AdicionaPontoWFClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall CorClick(TObject *Sender);
        void __fastcall FormPaint(TObject *Sender);
        void __fastcall AdicionaArestaClick(TObject *Sender);
        void __fastcall AdicionaPontoCurvaClick(TObject *Sender);
        void __fastcall Apagar1Click(TObject *Sender);
        void __fastcall MenuItem1Click(TObject *Sender);
        void __fastcall PopupMenuPontosPopup(TObject *Sender);
        void __fastcall PopupMenuArestasPopup(TObject *Sender);
        void __fastcall PopupMenuCurvasPopup(TObject *Sender);
        void __fastcall ApagarPonto1Click(TObject *Sender);
        void __fastcall AdicionarClick(TObject *Sender);
        void __fastcall AdicionarSuperficieClick(TObject *Sender);
        void __fastcall XPontoExit(TObject *Sender);
        void __fastcall AdicionaTrianguloButtonClick(TObject *Sender);
        void __fastcall ReflDifusaButtonClick(TObject *Sender);
        void __fastcall ReflAmbienteButtonClick(TObject *Sender);
        void __fastcall ReflEspecularButtonClick(TObject *Sender);
        void __fastcall PageControl1Change(TObject *Sender);

public:
        void SetSistemaGrafico(SistemaGrafico* s);
        __fastcall TIncluirObjeto(TComponent* Owner);

protected:
        void CriaNovaSuperficie(bool &OK);
        void CriaNovaCurva(bool &OK);
        void CriaNovoObjetoTriangularizado(bool &OK);
        void ValidaEntradaEdit(TEdit* edit);

        SistemaGrafico* sistemaGrafico;
        vector<Ponto*>* pontosWF;
        vector<Ponto*>* pontosCurva;
        vector<Reta*>* vetorArestas;
        vector<Triangulo*>* vetorTriangulos;
        int contador;
};
//---------------------------------------------------------------------------
extern PACKAGE TIncluirObjeto *IncluirObjeto;
//---------------------------------------------------------------------------
#endif
